
//Показания термистора выводятся не в градусах.Для того, чтобы  их перевести в градусы, нужно воспользоваться хитрой формулой.
//В этой формуле нам нужны будут логарифмы, поэтому мы подключим библиотеку.

#include <math.h>
  
void setup() {
  
  //Для того, чтобы снять показания с нашего мини-термометра, нам нужно включить SerialMonitor.
  //Он предназначен для связи Arduino с компьютером.
  //О нем можно прочитать здесь: http://arduino.ru/Reference/Serial
  //Мы будем выводить показания нашего датчика в Serial  Monitor.
  //Чтобы его открыть, зажмите Ctrl+Shift+M
  
  Serial.begin(9600);
}

void loop() {
  //Есть переменные различных типов.В этом эксперименте мы должны создать переменную с плавающей запятой.
  //Подробнее о таких переменных перменных читайте здесь: http://arduino.ru/Reference/Float
  //Нужно указывать дробную часть у всех констант.Иначе, дробная часть отбросится.
  
  float i = analogRead(A2) * 5.0 / 1024.0;  //Создадим промежуточную переменную,в которую запомним показания термистора.
                                            //Считываем с помощью функции AnalogRead.О ней :http://arduino.ru/Reference/AnalogRead
                                            // Эта часть кода  "* 5.0 / 1024.0" приводит считываемые значения в нужную нам форму, для применения в формуле.

                                                                                       
  float temp = -14.5 * log((10000.0 * i) / (5.0 - i) / 27074.0); //Мы создали переменную для вывода в Serial monitor.
                                                                  //И, чтобы найти значение температуры, применяем нашу формулу.

    Serial.println (temp);  //Теперь выводим нашу температуру в Serial monitor. 
    
    delay(1000);            //Делаем небольшую задержку перед выводами значений в Serial monitor.                                                   
}
//Теперь откроем Serial monitor.
